dvdstyler (2.9.2-0ubuntu2) wily; urgency=medium

  * No-change rebuild against libwx*-0v5

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 10 Aug 2015 12:19:16 +0200

dvdstyler (2.9.2-0ubuntu1) wily; urgency=medium

  * New upstream release. LP: #1391803, LP: #1450389, LP: #1440374
    - Refresh patches.
    - Remove unapplied patches.
  * wrap-and-sort -s
  * d/control:
    - Remove build-deps: fakeroot, and libwxbase3.0-dev.
    - Replace build-dep: libavresample-dev => libavutil-dev.
    - Replace build-dep: dvd+rw-tools => genisoimage and growisofs.
    - Move build-dep on mjpegtools to deps. LP: #1358740
    - Bump build-dep: libwxsvg-dev to 2:1.2. LP: #1368306
    - Add build-deps: fontconfig, libudev-dev
    - Update standards-version to 3.9.6.
  * d/control, d/compat: Bump debhelper compat to 9.
  * d/copyright: Update paths and years.
  * d/patches: Add patch from upstream bug report, fix compilation with wx3.0

 -- Unit 193 <unit193@ubuntu.com>  Sat, 09 May 2015 14:00:31 -0400

dvdstyler (2.7.2-0ubuntu2) utopic; urgency=medium

  * Rebuild against libav11.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 04 Sep 2014 20:14:08 +0100

dvdstyler (2.7.2-0ubuntu1) utopic; urgency=medium

  * New upstream release. LP: #1264701
  * Drop fix_no_audio.patch, fix_wxwidgets3.0.patch. Fixed upstream.

 -- Jackson Doak <noskcaj@ubuntu.com>  Sun, 29 Jun 2014 11:05:22 +1000

dvdstyler (2.5.2-0ubuntu4) utopic; urgency=medium

  * Build-depend on libwxgtk3.0-dev, libwxbase3.0-dev, and
    libwxgtk-media3.0-dev instead of 2.8 variants, in order to be able to
    build with wxsvg >= 2:1.3~dfsg-2.
  * Backport patch from upstream to fix build with wxwidgets3.0.
  * Build-depend on libavresample-dev to work around insufficient
    dependencies of libavfilter-dev.
  * Fix build with libav 10.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 25 Jun 2014 12:46:46 +0100

dvdstyler (2.5.2-0ubuntu3) trusty; urgency=low

  * No change rebuild against libav 9.

 -- Dmitrijs Ledkovs <xnox@ubuntu.com>  Thu, 21 Nov 2013 10:45:40 +0000

dvdstyler (2.5.2-0ubuntu2) saucy; urgency=low

  * fix_no_audio.patch: upstream's patch for videos without audio. It replaces
    fix_no_audio_input.patch
  * debian/control: add explicit dependency on libwxgtk-media2.8-dev as it's not
    pulled automatically anymore (LP: #1219132)

 -- Fabrice Coutadeur <fabricesp@ubuntu.com>  Sat, 31 Aug 2013 11:59:07 +0200

dvdstyler (2.5.2-0ubuntu1) saucy; urgency=low

  * New upstream release (LP: #1132643)
  * This will fix also (LP: #1074815) and (LP: #1049113)
  * Drop fix_linkage patch as it has been applied upstream
  * fix_no_audio_input.patch: fix a bug when there is no audio in the input
    video
  * debian/control: bump Standards-version to 3.9.4. No changes requires.

 -- Fabrice Coutadeur <fabricesp@ubuntu.com>  Tue, 20 Aug 2013 09:06:14 +0200

dvdstyler (2.3.4-0ubuntu2) raring; urgency=low

  * Added jpeg lib to link, fixing FTBFS on armhf.

 -- Daniel T Chen <crimsun@ubuntu.com>  Mon, 01 Apr 2013 13:54:48 -0400

dvdstyler (2.3.4-0ubuntu1) raring; urgency=low

  * New upstream release
  * debian/watch: updated to only get stable releases (and discard alpha and
    beta version)

 -- Fabrice Coutadeur <fabricesp@ubuntu.com>  Sat, 15 Dec 2012 18:58:57 +0100

dvdstyler (2.3-0ubuntu1) raring; urgency=low

  * New upstream release
  * debian/control: 
    - add b-d on libav-tools and bump dependency on libwxsvg
    - reenable b-d on mjpegtools. This is mandatory for animated menus
  * drop-mplex.patch: dropped as mplex seems mandatory for animated menus

 -- Fabrice Coutadeur <fabricesp@ubuntu.com>  Sun, 07 Oct 2012 19:41:14 +0200

dvdstyler (2.1-0ubuntu2) precise; urgency=low

  * delete unused file debian/patches/fix-libav0.8.patch.old
  * debian/control:
    - drop b-d and dependency on mjpegtools as dvdstyler works perfectly without
      mplex
    - drop specific dependency on libavcodec-extra as mpeg2video and vob
      multiplexing is available in libavcodec.
  * drop-mplex.patch: drop any reference to mplex in the config popup
  * genisoimage.patch: replace also mkisofs in configure.in
  * fix-libav0.8.patch: fix audio bitrate when transcoding to use the one
    specified when transcoding

 -- Fabrice Coutadeur <fabricesp@ubuntu.com>  Fri, 17 Feb 2012 21:40:35 +0100

dvdstyler (2.1-0ubuntu1) precise; urgency=low

  * New upstream release
    - This fixes a crash when deleting referenced subtitles (LP: #910926)
  * debian/watch: updated to get only stable versions
  * debian/control:
    - bump standards-version to 3.9.2. No changes are required.
    - Add b-d on libavfilter-dev as libavfilter is required now
  * binutils-gold.patch: dropped as it has been adopted upstream
  * libav-0.7.patch: dropped as this is not applicable anymore
  * genisoimage.patch: refreshed
  * fix-libav0.8.patch: fix FTBFS with libav 0.8
  * debian/rules: call first dh_auto_clean to be able to build it twice in a row

 -- Fabrice Coutadeur <fabricesp@ubuntu.com>  Sun, 12 Feb 2012 18:57:08 +0100

dvdstyler (1.8.3-0ubuntu4) precise; urgency=low

  * Build-depend on libjpeg-dev instead of libjpeg62-dev.

 -- Felix Geyer <debfx-pkg@fobos.de>  Mon, 21 Nov 2011 18:51:25 +0100

dvdstyler (1.8.3-0ubuntu3) precise; urgency=low

  * libav-0.7.patch: fixed to fix core dumps. Fixes are:
    - src/mediaenc_ffmpeg.cpp: fixed sample_fmt for ac3 encoding.
    - src/mediatrc_ffmpeg.cpp: fix detection of existing files
    - src/mediatrc_ffmpeg.cpp: only close encoded file if opened before

 -- Fabrice Coutadeur <fabricesp@ubuntu.com>  Fri, 11 Nov 2011 20:57:32 +0100

dvdstyler (1.8.3-0ubuntu2) oneiric; urgency=low

  * Port to libav 0.7 API.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 23 Aug 2011 10:07:26 +0100

dvdstyler (1.8.3-0ubuntu1) oneiric; urgency=low

  * New upstream release:
    * added option to keep aspect ratio of video
    * added possibility to cut video
    * added possibility to select fill, outline and shadow color of subtitles
    * added possibility to add/remove single images in slideshow
    * added support of NTSC film 
    * updated dvdauthor to version 0.7.0 (LP: #775115)
  * debian/watch: updated to take stable versions only
  * debian/control: update b-d on libxwsvg-dev to 2:1.0.8

 -- Fabrice Coutadeur <fabricesp@ubuntu.com>  Mon, 02 May 2011 07:22:15 +0200

dvdstyler (1.8.2.1-0ubuntu1) natty; urgency=low

  * New upstream release. This includes updated translations (LP: #626522)

 -- Fabrice Coutadeur <fabricesp@ubuntu.com>  Sat, 19 Feb 2011 19:45:02 +0100

dvdstyler (1.8.1-0ubuntu4) natty; urgency=low

  * debian/patches/binutils-gold.patch:
    + link jpeg libraries during build in src/Makefile.am to fix FTBFS with 
      ld --no-add-needed

 -- Bhavani Shankar <bhavi@ubuntu.com>  Mon, 27 Dec 2010 11:59:06 +0530

dvdstyler (1.8.1-0ubuntu3) maverick; urgency=low

  * debian/dvdstyler-data.install: also install usr/share/pixmaps,
    usr/share/applications and usr/share/man. This will bring back the desktop,
    manpage and icon files (LP: #650794)
  * debian/control: Standards-version bump to 3.9.1. No changes required.

 -- Fabrice Coutadeur <fabricesp@ubuntu.com>  Wed, 29 Sep 2010 06:39:55 +0200

dvdstyler (1.8.1-0ubuntu2) maverick; urgency=low

  * No changes upload for libwxsvg0 ABI changes
  * debian/control: Standards-version bump. No changes required.

 -- Fabrice Coutadeur <fabricesp@ubuntu.com>  Fri, 23 Jul 2010 22:13:30 +0000

dvdstyler (1.8.1-0ubuntu1) maverick; urgency=low

  * New upstream release.
  * Fix debian/watch file.
  * Switch to debhelper 7.
  * Refresh patches.
  * debian/control:
    - ${shlibs:Depends} should not be in dvdstyler-data's Depends field,
      the runtime package is architecture independent.
    - Build-depend on bison,flex.
  * Move all arch-indep files into dvdstyler-data runtime.
  * Update debian/copyright.

 -- Alessio Treglia <quadrispro@ubuntu.com>  Sun, 30 May 2010 17:56:33 +0200

dvdstyler (1.8.0.2-0ubuntu1) lucid; urgency=low

  * New upstream bugfix-only release.
  * Drop 03-disable_ja_lang.patch patch, japanese translation has been added
    by upstream.

 -- Alessio Treglia <quadrispro@ubuntu.com>  Mon, 22 Mar 2010 10:17:38 +0100

dvdstyler (1.8.0.1-0ubuntu1) lucid; urgency=low

  * New upstream bugfix release.
  * Bump Standards.

 -- Alessio Treglia <quadrispro@ubuntu.com>  Sat, 20 Feb 2010 19:33:18 +0100

dvdstyler (1.8.0-0ubuntu1) lucid; urgency=low

  * New upstream release.

 -- Alessio Treglia <quadrispro@ubuntu.com>  Thu, 04 Feb 2010 06:25:13 +0100

dvdstyler (1.8.0~rc3-0ubuntu1) lucid; urgency=low

  * New upstream RC release.
  * Update debian/copyright.

 -- Alessio Treglia <quadrispro@ubuntu.com>  Tue, 26 Jan 2010 19:31:09 +0100

dvdstyler (1.8.0~rc2-0ubuntu1) lucid; urgency=low

  * New upstream release candidate release:
    - Changes in RC2:
      + Fixed support of multiple subtitles
      + Added check of button coordinates
      + Added Norwegian and Japanese translations
    - Changes in RC1:
      + Added undo/redo
      + Added menu item "Add file as chapter"
      + Added possibility to drag-and-drop from TitlesetManager to MenuEditor
      + Thumbnails: fixed font size and size of images
  * Refresh patches.
  * debian/patches/genisoimage.patch:
    - Rename from genisoimage.diff.
    - Add tags as per Debian DEP-3.
  * debian/patches/03-disable_ja_lang.patch:
    - The lack of the japanese translation causes FTBFS.
  * debian/control: Update homepage field.
  * debian/rules: Correct file mode bits after installing them into the shared
    data foler.

 -- Alessio Treglia <quadrispro@ubuntu.com>  Wed, 20 Jan 2010 15:56:12 +0100

dvdstyler (1.8.0~b3-0ubuntu2) lucid; urgency=low

  * rebuild for ffmpeg versioned symbols

 -- Reinhard Tartler <siretart@tauware.de>  Tue, 19 Jan 2010 20:54:49 +0100

dvdstyler (1.8.0~b3-0ubuntu1) lucid; urgency=low

  * New upstream's beta-release
  * Switched to Source format 3.0 (quilt)
    - debian/rules: 
      + deleted references to quilt targets and include
      + deleted get-orig-source target as repack is not required anymore
    - debian/control: deleted build dependency on quilt
    - debian/REAMDE.source: deleted as it's not required anymore

 -- Fabrice Coutadeur <fabricesp@ubuntu.com>  Thu, 31 Dec 2009 17:17:40 +0100

dvdstyler (1.8.0~b2-0ubuntu1) lucid; urgency=low

  * New upstream's beta-release.
  * Also install DVD menu templates.
  * Refresh patches.

 -- Alessio Treglia <quadrispro@ubuntu.com>  Mon, 14 Dec 2009 22:42:58 +0100

dvdstyler (1.7.4-0ubuntu1) lucid; urgency=low

  * New upstream release:
    - added three new buttons: text with circle, text with square and
      underlined text
    - button actions: added possibility to select audio and subtitle tracks
    - added possibility to set languages for audio streams
    - jumppad is disabled by default
    - added some warning messages
    - some other small changes

 -- Fabrice Coutadeur <fabricesp@ubuntu.com>  Wed, 04 Nov 2009 06:35:52 +0000

dvdstyler (1.7.3-0ubuntu3) karmic; urgency=low

  [ Fabrice Coutadeur ]
  * debian/control: Changed dependency on -untripped to -extra- ffmpeg packages
    (LP: #418705)

  [ Alessio Treglia ]
  * Bump Standards:
    - Add ${misc:Depends} macro to the Depends fields.
  * Lines should not be longer than 80 characters.

 -- Fabrice Coutadeur <fabricesp@ubuntu.com>  Tue, 01 Sep 2009 19:30:05 +0000

dvdstyler (1.7.3-0ubuntu2) karmic; urgency=low

  * No-change rebuild to pick up new ffmpeg shlibs file.

 -- Stefan Potyra <sistpoty@ubuntu.com>  Fri, 28 Aug 2009 21:21:53 +0200

dvdstyler (1.7.3-0ubuntu1) karmic; urgency=low

  * New upstream release:
    - Also fixes LP: #385381.
  * dvdstyler main package should install desktop, icon and manpage files; this
    allow me to remove all lintian's override files.
  * debian/control:
    - Bump Standards.
    - Adjust dvdstyler-data short description to make lintian happy.
    - dvdstyler Replaces old dvdstyler-data runtime.
    - Don't build-depend on patch.
  * debian/rules:
    - Turn off DH_VERBOSE.
    - Don't build with -j option, it doesn't work.
    - Don't install doc files twice.
    - A bit of clean up.
  * debian/patches/genisoimage.diff:
    - Use genisoimage instead of mkisofs.
  * Update debian/copyright.

 -- Alessio Treglia <quadrispro@ubuntu.com>  Mon, 17 Aug 2009 10:38:48 +0200

dvdstyler (1.7.2-0ubuntu1) jaunty; urgency=low

  * New upstream release (LP: #340906)
  * Patch fix_FTBFS_with_ffmpeg_svn20090119 has been integrated upstream, so 
    it's not used anymore
  * debian/watch: upstream does not ship debian directory anymore. The repack
    is not of any use anymore.
  * debian/rules: 
    - As repacking is not of any use anymore, deleted reference to 
      uscan_repack.sh
    - add --repack option to uscan, as upstream tarball is in bz2 format
  * debian/uscan_repack.sh: file deleted
  * debian/README.source: deleted references to repacking
  * debian/control: add build dependency on xmlto to build DocBook doc and on
    zip to compress documentation

 -- Fabrice Coutadeur <coutadeurf@gmail.com>  Tue, 10 Mar 2009 19:56:10 +0000

dvdstyler (1.7.1-0ubuntu2) jaunty; urgency=low

  * Only install docs (TODO and AUTHORS) in dvdstyler-data (LP: #322850)
    - Removed debian/docs 
    - Created debian/dvdstyler-data.docs with the same content as debian/docs

 -- Fabrice Coutadeur <coutadeurf@gmail.com>  Sat, 31 Jan 2009 06:23:09 +0000

dvdstyler (1.7.1-0ubuntu1) jaunty; urgency=low

  * Initial packaging (Closes LP: #105653)
    - Created patch fix_desktop_file to get rid of errors when validating the 
      desktop file with desktop-file-validate
    - Created patch fix_FTBFS_with_ffmpeg_svn20090119 to fix a compilation
      issue with latest ffmpeg version (can be deleted when 1.7.2 is released)
  * Repackaged original tarball to get rid of debian directory

 -- Fabrice Coutadeur <coutadeurf@gmail.com>  Sat, 15 Nov 2008 04:50:19 +0000
